# $Revision: 1.7 $, $Date: 2006/08/22 15:22:44 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Email
%define	pnam	Date
Summary:	Email::Date - find and format Date headers
Summary(pl):	Email::Date - znajdywanie i formatowanie nagwkw Date
Name:		perl-Email-Date
Version:	1.101
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	38019e955a23f1cdb9f94e37000c87b8
URL:		http://search.cpan.org/dist/Email-Date/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Email-Abstract >= 2.10
BuildRequires:	perl-Email-Simple >= 1.9
BuildRequires:	perl-Test-Pod >= 1.14
BuildRequires:	perl-Test-Pod-Coverage >= 1.08
BuildRequires:	perl-Time-Piece >= 1.08
BuildRequires:	perl-TimeDate >= 2.27
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RFC 2822 defines the Date: header. It declares the header a required
part of an email message. The syntax for date headers is clearly laid
out. Still, even a perfectly planned world has storms. The truth is,
many programs get it wrong. Very wrong. Or, they don't include a Date:
header at all. This often forces you to look elsewhere for the date,
and hoping to find something.

For this reason, the tedious process of looking for a valid date has
been encapsulated in this software. Further, the process of creating
RFC compliant date strings is also found in this software.

%description -l pl
RFC 2822 definiuje nagwek Date: (zawierajcy dat). Okrela ten
nagwek jako obowizkow cz listu. Skadnia nagwkw daty jest
jasno opisana. Mimo to wiele programw le tworzy ten nagwek. Bardzo
le. Albo nie docza go w ogle. Zwykle zmusza to do szukania daty
gdzie indziej z nadziej znalezienia czego.

Z tego powodu nudny proces poszukiwania poprawnej daty zosta
opakowany w ten pakiet. Co wicej, proces tworzenia acuchw daty
zgodnych z RFC take mona tu znale.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Email/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Email-Date.spec,v $
Revision 1.7  2006/08/22 15:22:44  glen
- generic url

Revision 1.6  2006/08/20 15:01:22  qboosh
- more test deps

Revision 1.5  2006/08/11 06:35:57  qboosh
- sorted BRs

Revision 1.4  2006/08/10 21:08:27  agaran
- up to 1.101, rel 0.1, builds here, added BR

Revision 1.3  2004/12/09 22:20:03  ankry
- unified capitalization

Revision 1.2  2004/12/09 21:11:18  qboosh
- typo, pl

Revision 1.1  2004/12/09 18:08:27  radek
- new
